﻿@model IEnumerable<CatHub.Models.VideoCatalogModel>
@{
    ViewBag.Title = "MyVideo";
}

<div class="col-xs-1 text-center">
    <h2>MyVideo</h2>




    <div class="row">
        <div class="col-1">

        </div>
        <div class="col-3">
            <div class="list-group" id="list-tab" role="tablist">
                <a type="button" class="btn btn-warning btn-lg" href="/Video/CreateVideo"> Create video</a>
                <p></p>
                @foreach (var item in Model)
                {
                    <a class="list-group-item list-group-item-warning" id="list-profile-list" data-toggle="list" href="#list-profile'@item.id'" role="tab" aria-controls="profile">@item.Name</a>
                    
                }
              


            </div>
        </div>
        <div class="col-8">
            <p></p>
            <div class="tab-content" id="nav-tabContent">
                @foreach (var item in Model)
                {
                    <div class="tab-pane fade" id="list-profile'@item.id'" role="tabpanel" aria-labelledby="list-profile-list">
                        <div class="col-md-4">
                            <div class="card mb-4 box-shadow">
                                <img class="card-img-top" alt="Image cat" style="height: 225px; width: 100%; display: block;" src="~/ImgFiles/@item.PathImg" data-holder-rendered="true">
                                <div class="card-body">
                                    <p class="card-text">
                                    <p>  @item.Name</p>
                                    @{
                                        string name = item.Description;
                                        if (name.Length > 200)
                                        {
                                            int end = name.Substring(0, 200).LastIndexOf(' ');

                                            name = name.Substring(0, end);
                                        }
                                    }
                                    @**@

                                    @name

                                    <div class="d-flex justify-content-between align-items-center">
                                        <div class="btn-group">

                                            <a class="btn btn-secondary" href="/Home/ConcreteVideo/@item.id" role="button">Full</a>
                                            <p></p>
                                            <a class="btn btn-secondary" href="/Video/EditVideo/@item.id" role="button">Edit</a>
                                            <p></p>
                                            <a class="btn btn-danger" href="/Video/Delete/@item.id" role="button">Delete</a>
                                        </div>

                                        <small class="text-md-center">@item.Date</small>
                                    </div>
                                </div>
                             
                            </div>
                        </div>
                    </div>
                }
                </div>
        </div>
    </div>
</div>